#
#	File:		MccVars.make
#
#	Contains:	Build variables for Mcc compiler
#
#	Written by:	Steve Smith
#
#	Copyright:	 1994-1995 by Apple Computer, Inc., all rights reserved.
#
#	Change History (most recent first):
#

DumpFileSize = 9100

# ----------------------------------------------------------------------
# Compiler
# ----------------------------------------------------------------------

CPlus = Mcc
C = Mcc

SymOption = -g
OptimizationOption = 1			# 0 = none, 1 = basic, 4 = all
StructAlignmentOption = 1		# 1 = 68k, 0 = ppc
PascalStringOption = 1			# 1 = ok, 0 = not ok
LoopUnrollOption = 1			# 1 = yes, 0 = no
LanguageOption = cp				# cp, knr, arm, ansi, relaxed

GOptions = 	-d ODDebug=0						
			-d _PLATFORM_MACINTOSH_=1			
			-d _PLATFORM_BIG_ENDIAN_=1			
			-O{OptimizationOption}				
			{SymOption}							
			-Aalign_mac {StructAlignmentOption}	
			-Ac={LanguageOption}				
			-Apascalstr={PascalStringOption}	
			-Aunroll={LoopUnrollOption} 

CPlusOptions = {GOptions} 

# ----------------------------------------------------------------------
# Linker
# ----------------------------------------------------------------------

LinkTool = PPCLink

PPCLinkOptions = {MultifinderOption} -sym {SymOption} -tocDataRef on -roIsText on

PPCLinkShLibOptions = -xm s

PPCShLibPreLibraries = {DefaultPPCPreLibs}

PPCShLibPostLibraries = {DefaultPPCPostLibs} "{PPCLibraries}"MrCPlusLib.o

# ----------------------------------------------------------------------
# Post Processing
# ----------------------------------------------------------------------

SymTool = MakeSym

MakeSymOptions = -i : -r -sym {SymOption}

MergeFragmentOptions = -c -x

MergeFragment68KOption = -t pwpc

MergeFragmentShLibOptions = {MergeFragment68KOption}

