/*
	File:		Info.r

	Contains:	resources for Part Frame Info

	Owned by:	Ed Lai

	Copyright:	 1993 - 1996 by Apple Computer, Inc., all rights reserved.

	Change History (most recent first):

		 <3>	 3/20/96	EL		1289563: add extra field to part info and
									size dialog to indicate document is read
									only.
		 <2>	 3/14/96	JP		1279947 1.0.2: Kind and Editor labels
									misaligned in Part Info dialog
		<16>	10/16/95	CC		GM 1292157: Added static text items for no
									editor available to Part Info 'ditl' and
									'ictb' resources.
									Adjusted layout of Part Info items.
									GM 1293232: Made resources purgeable
									(except 'MENU').
		<15>	 9/20/95	T		1285201 GM: Use
									alertPositionParentWindowScreen for dialogs
		<14>	 8/25/95	JP		1194721: Made Info dialog use
									alertPositionMainScreen
		<13>	 5/16/95	eeh		1229957: make two static text items
									useritems
		<12>	 5/10/95	CG		1245231	BB: SetDateTimeText (InfoUtil) is
									hardcoding a string separator
		<11>	 4/27/95	T		1223529 BB: ODSetPOName and ODSetIconFamily
									should tweak file in root part case (Did
									name piece)
		<10>	 3/28/95	T		#1151710 BB: Toolbox running out of app
									heap.  Document Size dialog implemented.
		 <9>	 3/24/95	CG		#1125608  BB: Settings button enabled.
		 <8>	 3/23/95	T		#1151710 BB: Toolbox running out of app
									heap. (Not done).  Document Size dialog
									partially implemented.
		 <7>	  3/6/95	jpa		Make dialog moveable again. [1218957]
		 <6>	 2/24/95	CG		1166371, 195966, 1221029, 1221185: Info
									dialog appearance problems.
		 <5>	 2/10/95	CG		#1187539: Renaming a document using
									Document Info handles file name conflicts.
		 <4>	  2/2/95	CG		#1188677: Document and Part Info no longer
									look dragable.
		 <3>	 9/26/94	T		#1188044 Part Info Checkbox behaviour
		 <2>	 9/15/94	T		#1183571 implement Settings Extension
		 <1>	 7/11/94	T		first checked in
		 <0>	 7/11/94	SV		SOMverted
		 <6>	  6/3/94	CG		Changed dctb resource to new format.
		 <5>	 4/13/94	T		#1147222: Fix the View As popup in the Part
									Frame Info dialog.  Also fix the Category
									text, and the Kind & Editor popups to show
									the current kind & editor respectively, and
									put in the new dialog from HI.
		 <4>	 4/11/94	T		#1155854 Use CustomPutFile for Save A Copy.
		 <3>	  2/9/94	JA		define oldTemp to get old-style 'dctb' to
									compile.
		 <2>	  2/3/94	T		change Frozen to Bundled
		 <1>	11/18/93	T		first checked in

	To Do:
	In Progress:
*/

#define SystemSevenOrBetter 1			// we want the extended types
#define	SystemSevenOrLater	1			// Types.r uses this variable

#define oldTemp		//$$$$$ Needed to use old-style 'dctb' resource
#include "Types.r"
#undef oldTemp		//$$$$$ End of 'dctb' fix

#include "SysTypes.r"

#include "InfoDefs.h"

#define kPartInfoLabelRight		122
#define kPartInfoDataItemLeft	123
#define kPartInfoDataItemRight	309

resource 'DLOG' (kPartInfoDlgID, purgeable) {
	{0, 0, 306, 344},
	movableDBoxProc,
	invisible,
	noGoAway,
	0x0,
	kPartInfoDlgID,
	"Part Info",
	alertPositionParentWindowScreen
};

resource 'DITL' (kPartInfoDlgID, purgeable) {
	{	/* array DITLarray: 37 elements */
		/* [1] kPartInfoOKBtn */
		{276, 271, 276+20, 330},
		Button {
			enabled,
			"OK"
		},
		/* [2] kPartInfoCancelBtn */
		{276, 197, 276+20, 258},
		Button {
			enabled,
			"Cancel"
		},
		/* [3] kPartInfoSettingsButton */
		{276, 10, 276+20, 122},
		Button {
			enabled,
			"Settings"
		},
		/* [4] kPartInfoCommentsFld */
		{233, 13, 265, kPartInfoDataItemRight+22 /*331*/},
		StaticText {
			disabled,
			""
		},
		/* [5] kPartInfoByFld */
		{202, kPartInfoDataItemLeft, 214, kPartInfoDataItemRight},
		UserItem {
			enabled
		},
		/* [6] */
		{202, 98, 214, kPartInfoLabelRight},
		StaticText {
			disabled,
			"By:"
		},
		/* [7] kPartInfoModifiedFld */
		{188, kPartInfoDataItemLeft, 200, kPartInfoDataItemRight},
		StaticText {
			disabled,
			"^2, ^3"
		},
		/* [8] */
		{188, 64, 200, kPartInfoLabelRight},
		StaticText {
			disabled,
			"Modified:"
		},
		/* [9] kPartInfoCreatedFld */
		{174, kPartInfoDataItemLeft, 186, kPartInfoDataItemRight},
		StaticText {
			disabled,
			"^0, ^1"
		},
		/* [10] */
		{174, 70, 186, kPartInfoLabelRight},
		StaticText {
			disabled,
			"Created:"
		},
		/* [11] kPartInfoSizeFld */
		{160, kPartInfoDataItemLeft, 172, kPartInfoDataItemRight},
		StaticText {
			disabled,
			""
		},
		/* [12] */
		{160, 89, 172, kPartInfoLabelRight},
		StaticText {
			disabled,
			"Size:"
		},
		/* [13] kPartInfoSep1 */
		{155, 10, 156, kPartInfoDataItemRight+22 /*331*/},
		UserItem {
			disabled
		},
		/* [14] kPartInfoEditorPopup */
		{132, 75, 148, kPartInfoDataItemRight+22-20 /*311*/},
		Control {
			enabled,
			1202
		},
		/* [15] kPartInfoKindPopup */
		{110, 84, 126, kPartInfoDataItemRight+22-20 /*311*/},
		Control {
			enabled,
			1201
		},
		/* [16] kPartInfoCategoryFld */
		{90, kPartInfoDataItemLeft, 104, kPartInfoDataItemRight},
		UserItem {
			enabled
		},
		/* [17] */
		{90, 63, 104, kPartInfoLabelRight},
		StaticText {
			disabled,
			"Category:"
		},
		/* [18] kPartInfoSep2 */
		{85, 10, 86, kPartInfoDataItemRight+22 /*331*/},
		UserItem {
			disabled
		},
		/* [19] Filler */
		{87, 271, 107, 330},
		UserItem {
			disabled
		},
		/* [20] Filler */
		{87, 197, 107, 258},
		UserItem {
			disabled
		},
		/* [21] Filler */
		{87, 10, 107, 122},
		UserItem {
			disabled
		},
		/* [22] kPartInfoShowLinksCheckbox */
		{65, 234, 79, kPartInfoDataItemRight},
		CheckBox {
			enabled,
			""
		},
		/* [23] kPartInfoShowLinksText */
		{66, 252, 79, kPartInfoDataItemRight},
		StaticText {
			disabled,
			"Show Links"
		},
		/* [24] kPartInfoStationeryCheckbox */
		{49, 234, 63, 391},
		CheckBox {
			enabled,
			""
		},
		/* [25] kPartInfoStationeryText */
		{50, 252, 63, kPartInfoDataItemRight},
		StaticText {
			disabled,
			"Stationery"
		},
		/* [26] kPartInfoBundledCheckbox */
		{33, 234, 47, kPartInfoDataItemRight},
		CheckBox {
			enabled,
			""
		},
		/* [27] */
		{34, 252, 47, kPartInfoDataItemRight},
		StaticText {
			disabled,
			"Bundled"
		},
		/* [28] kPartInfoViewAsPopup */
		{35, 68, 51, 214},
		Control {
			enabled,
			kPartInfoViewAsCntl
		},
		/* [29] kPartInfoNameEditFld */
		{10, 125, 26, kPartInfoDataItemRight},
		StaticText {
			disabled,
			""
		},
		/* [30] */
		{11, 83, 25, kPartInfoLabelRight /*was 118*/},
		StaticText {
			disabled,
			"Name:"
		},
		/* [31] kPartInfoPartThumbnail */
		{10, 20, 42, 52},
		UserItem {
			disabled
		},
		/* [32] kPartInfoDefaultButtonItem */
		{271, 264, 299, 331},
		UserItem {
			disabled
		},
		/* [33] kPartInfoIDFld */
		{216, kPartInfoDataItemLeft, 228, kPartInfoDataItemRight},
		StaticText {
			disabled,
			""
		},
		/* [34] */
		{216, 100, 228, kPartInfoLabelRight},
		StaticText {
			disabled,
			"ID:"
		},
		/* [35] kPartInfoSettingsButton */
		{276, 129, 276+20, 191},
		Button {
			enabled,
			"Size"
		},
		/* [36] kPartInfoEditorLabel */
		{132, 77, 132+16, kPartInfoLabelRight},
		StaticText {
			disabled,
			"Editor:"
		},
		/* [37] kPartInfoNoEditorText */
		{132, 75+50, 132+16, 75+50+200},
		StaticText {
			disabled,
			"None for this Kind"
		},
		/* [38]  */
		{56, 9, 83, 229},
		StaticText {
			disabled,
			"No change allowed in read only document."
		}
	}
};

resource 'CNTL' (kPartInfoKindCntl, purgeable) {
		/*{106, 106, 122, kPartInfoDataItemRight-10},*/
		{110, 84, 126, kPartInfoDataItemRight+22-20},
		popupTitleBold+popupTitleRightJust,
		visible,
		38,					/* width of title in pixels     */
		kPartInfoKindMenu,	/* resource id of MENU resource */
		popupMenuCDEFproc+popupUseWFont+popupFixedWidth,
		0,					/* Refcon */
		"Kind:"
};

resource 'CNTL' (kPartInfoEditorCntl, purgeable) {
		/*{128, 97, 144, kPartInfoDataItemRight-10},*/
		{132, 75, 148, kPartInfoDataItemRight+22-20},
		popupTitleBold+popupTitleRightJust,
		visible,
		47,					/* width of title in pixels     */
		kPartInfoEditorMenu,				/* resource id of MENU resource */
		popupMenuCDEFproc+popupUseWFont+popupFixedWidth,
		0,					/* Refcon */
		"Editor:"
};

resource 'CNTL' (kPartInfoViewAsCntl, purgeable) {
		/*{31, 90, 47, 237},*/
		{35, 68, 51, 214},
		popupTitleBold+popupTitleRightJust,
		visible,
		54,					/* width of title in pixels     */
		kPartInfoViewAsMenu,				/* resource id of MENU resource */
		popupMenuCDEFproc+popupUseWFont+popupFixedWidth,
		0,					/* Refcon */
		"View as:"
};

data 'ppat' (kPartInfoDlgID, purgeable) {
	$"0001 0000 001C 0000 004E 0000 0000 FFFF"
	$"0000 0000 AA55 AA55 AA55 AA55 0000 0000"
	$"8001 0000 0000 0008 0008 0000 0000 0000"
	$"0000 0048 0000 0048 0000 0000 0001 0001"
	$"0001 0000 0000 0000 0056 0000 0000 55AA"
	$"55AA 55AA 55AA 0000 0000 0000 0001 0000"
	$"7777 7777 7777 0001 8888 8888 8888"
};

resource 'dctb' (kPartInfoDlgID, purgeable) {
	0,
	0,
	{
		wContentColor,0xFFFF,0xFFFF,0xFFFF
	}
};

data 'ictb' (kPartInfoDlgID, purgeable) 
{
	/* Item entries */

	/* offset      chng tabl     item */
	/* ------      ---- ----     ---- */
	/* +$0000 */ $"0000 0000" /* [1]  */
	             $"0000 0000" /* [2]  */
	             $"0000 0000" /* [3]  */
	             $"0000 0000" /* [4]  */
	/* +$0010 */ $"0000 0000" /* [5]  */
	             $"0002 0094" /* [6]  */
	             $"0000 0000" /* [7]  */
	             $"0002 0094" /* [8]  */
	/* +$0020 */ $"0000 0000" /* [9]  */
	             $"0002 0094" /* [10] */
	             $"0000 0000" /* [11] */
	             $"0002 0094" /* [12] */
	/* +$0030 */ $"0000 0000" /* [13] */
	             $"0000 0000" /* [14] */
	             $"0000 0000" /* [15] */
	             $"0000 0000" /* [16] */
	/* +$0040 */ $"0002 0094" /* [17] */
	             $"0000 0000" /* [18] */
	             $"0000 0000" /* [19] */
	             $"0000 0000" /* [20] */
	/* +$0050 */ $"0000 0000" /* [21] */
	             $"0000 0000" /* [22] */
	             $"0000 0000" /* [23] */
	             $"0000 0000" /* [24] */
	/* +$0060 */ $"0000 0000" /* [25] */
	             $"0000 0000" /* [26] */
	             $"0000 0000" /* [27] */
	             $"0000 0000" /* [28] */
	/* +$0070 */ $"0000 0000" /* [29] */
	             $"0002 0094" /* [30] */
	             $"0000 0000" /* [31] */
	             $"0000 0000" /* [32] */
	/* +$0080 */ $"0000 0000" /* [33] */
	             $"0002 0094" /* [34] */
	             $"0000 0000" /* [35] */
	             $"0002 0094" /* [36] */
	/* +$0090 */ $"0000 0000" /* [37] */
	
	/*                           ^^^^---- This column contains the dialog item number of   */
	/*                                    each entry in this resource.                     */
	/*                                                                                     */
    /*                  ^^^^------------- This column contains offsets into this resource. */
    /*                                    For instance, $0094 means it points to the       */
    /*                                    beginning of the table below (offset $94)        */
	/*                                                                                     */
    /*             ^^^^------------------ This column tells which part(s) of the style     */
    /*                                    table should be adhered to.                      */	
	
	/* If items are added to this dialog, you'll have to add those items to this resource  */
	/* as well, and this will change the offset above from $94 to some other value.  Make  */
	/* sure this is changed in all of the above entries!                                   */
	
	
	/* Text style record(s) */

	/* +$0094 */ $"0000"			/* font         (ignored) */
				 $"0100"			/* style = bold           */
				 $"0000"			/* size         (ignored) */
	             $"0000 0000 0000"	/* fore color   (ignored) */
	             $"0000 0000 0000"	/* back color   (ignored) */
	             $"0000"			/* mode         (ignored) */

	/* +$00A8 */	/* -- if you need more entries, add them here. */
};

resource 'MENU' (kPartInfoKindMenu, "Kind", nonpurgeable) {	// 'MENU' resources must not be purgeable [cc]
	kPartInfoKindMenu,
	textMenuProc,
	allEnabled,
	enabled,
	"Kind",
	{	/* array: 1 elements */
		"Translate to", noIcon, noKey, noMark, italic
	}
};

resource 'MENU' (kPartInfoEditorMenu, "Editor", nonpurgeable) {
	kPartInfoEditorMenu,
	textMenuProc,
	allEnabled,
	enabled,
	"Editor",
	{	/* array: 0 elements */
	}
};

resource 'MENU' (kPartInfoViewAsMenu, "View as", nonpurgeable) {
	kPartInfoViewAsMenu,
	textMenuProc,
	allEnabled,
	enabled,
	"View as:",
	{	/* array: 4 elements */
		"Frame", noIcon, noKey, noMark, plain,
		"Large Icon", noIcon, noKey, noMark, plain,
		"Small Icon", noIcon, noKey, noMark, plain,
		"Thumbnail", noIcon, noKey, noMark, plain
	}
};


resource 'finf' (kPartInfoDlgID, "", purgeable) {
	{
		3,			/* Font Number, 3 = Geneva	*/
		plain,		/* 		Font Style		*/
		10			/* 		Font Size		*/
	}
};


//-------------------------------------------------------------------------------------
// Strings used by Link Info dialogs
//-------------------------------------------------------------------------------------

resource 'STR ' (kODPartInfoSizeInBytes, purgeable) {
	"^0 bytes on disk"
};

resource 'STR ' (kODPartInfoSizeInK, purgeable) {
	"^0K on disk"
};

resource 'STR ' (kODPartInfoStrUnknownID, purgeable) {
	"Unknown"
};

resource 'STR ' (kODDocumentInfoWindowName, purgeable) {
	"Document Info"
};


//-------------------------------------------------------------------------------------
//   Document Heap Size dialog resources
//-------------------------------------------------------------------------------------
 
 

resource 'DLOG' (kDocHeapDlgID, purgeable) {
	{96, 80, 266, 422},
	movableDBoxProc,
	invisible,
	noGoAway,
	0x0,
	kDocHeapDlgID,
	"Memory Requirements",
	alertPositionParentWindowScreen
};

resource 'DITL' (kDocHeapDlgID, purgeable) {
	{	/* array DITLarray: 13 elements */
		/* [1] kDocHeapOKBtn */
		{140, 271, 160, 329},
		Button {
			enabled,
			"OK"
		},
		/* [2] kDocHeapCancelBtn */
		{139, 200, 159, 258},
		Button {
			enabled,
			"Cancel"
		},
		/* [3] kDocHeapDefaultSizeRadBtn */
		{65, 20, 81, 237},
		RadioButton {
			enabled,
			"Use OpenDoc Default Size:"
		},
		/* [4] kDocHeapDefaultSizeFld */
		{65, 241, 81, 287},
		StaticText {
			enabled,
			"256"
		},
		/* [5] kDocHeapDefaultSizeBotBtnRect */
		{61+13, 317, 86, 332},
		UserItem {
			enabled
		},
		/* [6] kDocHeapPreferdSizeRadBtn */
		{99, 20, 115, 238},
		RadioButton {
			enabled,
			"Use Document Preferred Size:"
		},
		/* [7] kDocHeapPreferdSizeFld */
		{99, 241, 115, 287},
		StaticText {
			enabled,
			"1024"
		},
		/* [8] kDocHeapPreferdSizeBotBtnRect */
		{95+13, 317, 120, 332},
		UserItem {
			enabled
		},
		/* [9] */
		{20, 20, 36, 238},
		StaticText {
			disabled,
			"Set Memory Requirements for:"
		},
		/* [10] kDocHeapDocumentNameFld */
		{37, 20, 53, 236},
		StaticText {
			disabled,
			""
		},
		/* [11] */
		{129, 14, 162, 195},
		StaticText {
			disabled,
			"No change allowed in read only document."
		},
		/* [12] */
		{65, 292, 81, 304},
		StaticText {
			disabled,
			"K"
		},
		/* [13] */
		{99, 292, 115, 304},
		StaticText {
			disabled,
			"K"
		},
		/* [14] kDocHeapDefaultButtonItem */
		{140-4, 271-4, 160+4, 329+4},
		UserItem {
			disabled
		},
		/* [15] kDocHeapDefaultSizeTopBtnRect */
		{61, 317, 61+12, 332},
		UserItem {
			enabled
		},
		/* [16] kDocHeapDefaultSizeBtns */
		{61, 317, 86, 332},
		Picture {
			disabled,
			kArrowBtnsPictOffID
		},
		/* [17] kDocHeapPreferdSizeTopBtnRect */
		{95, 317, 95+12, 332},
		UserItem {
			enabled
		},
		/* [18] kDocHeapPreferdSizeBtns */
		{95, 317, 120, 332},
		Picture {
			disabled,
			kArrowBtnsPictOffID
		},
		/* [19] */
		{129, 14, 162, 195},
		StaticText {
			disabled,
			"Changes take effect when the document is"
			" reopened."
		}
	}
};

resource 'finf' (kDocHeapDlgID, "", purgeable) {
	{
		3,			/* Font Number, 3 = Geneva	*/
		plain,		/* 		Font Style		*/
		10			/* 		Font Size		*/
	}
};

resource 'CNTL' (kArrowBtnsCntlID, purgeable) {
	{100, 153, 112, 190},
	0,
	visible,
	1,
	0,
	radioButProcUseWFont,
	0,
	"On"
};

resource kPICTRsrcType (kArrowBtnsPictOffID, purgeable) {
	109,
	{0, 0, 25, 15},
	$"1101 A000 8201 000A 0000 0000 02D0 0240"
	$"9000 0200 0000 0000 1900 1000 0000 0000"
	$"1900 0F00 0000 0000 1900 0F00 003F F840"
	$"0480 0281 0282 8284 4288 229C 7284 4284"
	$"4287 C280 0280 0280 0287 C284 4284 429C"
	$"7288 2284 4282 8281 0280 0240 043F F8A0"
	$"0083 FF"
};

resource kPICTRsrcType (kArrowBtnsPictTopOnID, purgeable) {
	109,
	{0, 0, 25, 15},
	$"1101 A000 8201 000A 0000 0000 02D0 0240"
	$"9000 0200 0000 0000 1900 1000 0000 0000"
	$"1900 0F00 0000 0000 1900 0F00 003F F840"
	$"0480 0281 0283 8287 C28F E29F F287 C287"
	$"C287 C280 0280 0280 0287 C284 4284 429C"
	$"7288 2284 4282 8281 0280 0240 043F F8A0"
	$"0083 FF"
};

resource kPICTRsrcType (kArrowBtnsPictBotOnID, purgeable) {
	109,
	{0, 0, 25, 15},
	$"1101 A000 8201 000A 0000 0000 02D0 0240"
	$"9000 0200 0000 0000 1900 1000 0000 0000"
	$"1900 0F00 0000 0000 1900 0F00 003F F840"
	$"0480 0281 0282 8284 4288 229C 7284 4284"
	$"4287 C280 0280 0280 0287 C287 C287 C29F"
	$"F28F E287 C283 8281 0280 0240 043F F8A0"
	$"0083 FF"
};

