/*
	File:		PrefsDef.h

	Contains:	Constants for prefs

	Owned by:	Caia Grisar

	Copyright:	 1993 - 1996 by Apple Computer, Inc., all rights reserved.

	Change History (most recent first):

		 <2>	  2/2/96	TJ		Added defines for the oldest version of
									prefrences that we understand.
		 <9>	 8/30/95	CG		#1257569 FB3:Added kODPrefsFolderNameStrID.
		 <8>	 8/11/95	jpa		Number rsrcs from subsystem base [1276412]
		 <7>	 6/22/95	jpa		Added kODBadAliasInEditorsAlertID [1257556]
		 <6>	  6/9/95	CG		#1203571 implemented nmap caching
									mechanism.
		 <5>	 5/16/95	jpa		Added kODScanEditorsDialogID [1240150]
		 <3>	 2/14/95	TJ		Fixed copyright date.
		 <2>	 2/14/95	jpa		Added kODEditorHintFileName [1205141]
		 <1>	  2/2/95	CG		first checked in
	To Do:
*/

#ifndef _PREFSDEF_
#define _PREFSDEF_

#ifndef _RSRCBASE_
#include "RsrcBase.h"
#endif

#define kODPrefsFileNameStrID 		(kODCoreRsrcBase + 0)
#define kODEditorsFldrNameStrID 	(kODCoreRsrcBase + 1)
#define kODLibsFldrNameStrID		(kODCoreRsrcBase + 2)
#define kODPrefsFolderNameStrID 	(kODCoreRsrcBase + 3)

#define kODEditorHintFileName "\pOpenDocInfo\r"
// This is the invisible file stored on the root of a volume whose data fork
// contains the name of the "Editors" folder. The name of this file is purposely
// NOT localized so that it can be found on all hard disks, regardless of their
// foreign tongues.

#define kODCacheFileName "\pODCacheFile\r"
// This is the invisible cache file stored at the top of each folder structure
// whose files contain nmap resources. The name of this file is purposely
// NOT localized so that it can be found on all hard disks, regardless of their
// foreign tongues.


#define kODScanEditorsDialogID			(kODCoreRsrcBase + 3)
#define kODBadAliasInEditorsAlertID		(kODCoreRsrcBase + 4)

// This is the oldest version of prefs that OpenDoc is compatible with
#define kODPrefsCompatiblemajorRev				1			/*1st part of version number in BCD*/
#define kODPrefsCompatibleminorAndBugRev 		0			/*2nd & 3rd part of version number share a byte*/
#define kODPrefsCompatiblestage					0x80		/*stage code: dev, alpha, beta, final*/
#define kODPrefsCompatiblenonRelRev				0			/*revision level of non-released version*/

#endif
