/*
	File:		DfWinDef.h

	Contains:	constants used in code and resources for DraftWindow

	Owned by:	Eric House

	Copyright:	 1994 - 1995 by Apple Computer, Inc., all rights reserved.

	Change History (most recent first):

		 <9>	 8/25/95	eeh		1230007: kDWClosedTriangleResID etc.
		 <8>	  8/3/95	eeh		1229960: cleanup
		 <7>	 7/25/95	eeh		1271190: change create ditl constants
		 <6>	 7/21/95	eeh		1236744: remove kDeleteDraftsCmdKeyStrs
		 <5>	 7/18/95	eeh		1236744: change button item order; add res
									ids
		 <4>	 3/24/95	eeh		1229961: add kDraftsWnTitleResID and
									kDraftsWnDateSpaceResID
		 <3>	12/19/94	eeh		added kDraftsCreateUserItem and
									kDraftsDoneUserItem.
		 <2>	 7/23/94	T		added LDEF stuff
		 <1>	 6/27/94	T		first checked in
		 <0>	 6/27/94	SV		SOMverted
		 <1>	 1/14/94	T		first checked in

	To Do:
*/


#ifndef _DFWINDEF_
#define _DFWINDEF_

/* DLOG IDs */
#define kDraftsDlgID			1005
#define kCreateDraftsDlgID		1006
#define kDeleteDraftsAlertID	1007

/* 'STR ' IDs */
#define kDraftsWnTitleResID		1005
#define kDraftsWnDateSpaceResID	1006

/* LDEF stuff */
#define kDWNumColumns 4
#define kDraftWinLDEFID	130
#define kDraftWinLDEFAddrOffset	0x00000008

/* fields in Drafts dialog */
#define kDraftsCreateBtn			1
#define kDraftsDoneBtn				2
#define kDraftsDeleteBtn			3
#define kDraftsOpenBtn				4
#define kDraftsCreatorStaticTxt		5
#define kDraftsDraftStaticTxt		6
#define kDraftsCreatedStaticTxt		7
#define kDraftsArrowStaticTxt		8			/* a null string */
#define kDraftsCommentStaticTxt		9
#define kDraftsHeaderRectUserItem	10
#define kDraftsHorizRectUserItem	11
#define kDraftsListUserItem			12
#define kDraftsCreateUserItem		13
#define kDraftsDoneUserItem			14

#define kDraftsCmdKeyStrs			1000
#define kDraftsCreateCmdKeyStrs		1001

/* fields in Create Drafts dialog */
#define kCreateDraftsCreateBtn			1
#define kCreateDraftsCancelBtn			2
#define kCreateDraftsDraftStaticTxt		3
#define kCreateDraftsNameStaticTxt		4
#define kCreateDraftsNameEditTxt		5
#define kCreateDraftsCommentsStaticTxt	6
#define kCreateDraftsCommentsEditTxt	7
#define kCreateDraftsDraftEditTxt		8

/* fields in Delete Drafts dialog */
#define kDeleteDraftsDeleteBtn			1
#define kDeleteDraftsCancelBtn			2
#define kDeleteDraftsStaticTxt			3

#define	kDWClosedTriangleResID		209
#define	kDWOpenTriangleResID		210
#define	kDWHalfOpenTriangleResID	211

#endif //_DFWINDEF_