/*
	File:		ImagingInit.cp

	Contains:	Init routines for the Imaging library

	Owned by:	Jens Alfke

	Copyright:	 1994 - 1995 by Apple Computer, Inc., all rights reserved.

	Change History (most recent first):

		 <7>	 8/11/95	jpa		Added ImagingInit for single-lib build
									[1276412]
		 <6>	 5/25/95	jpa		Don't need to include GX headers anymore.
									[1241078, 1253324]
		 <5>	 1/12/95	jpa		Don't use obsolete Toolbox names [1211211].
		 <4>	 12/5/94	jpa		Moved initialization of gGX here from
									Shape.cpp. Check if CFM has connected to GX
									as well as checking Gestalt. [1203923]
		 <3>	 9/29/94	RA		1189812: Mods for 68K build.
		 <2>	 8/19/94	NP		1181622: Ownership fix.
		 <1>	 6/30/94	jpa		first checked in

	To Do:
	In Progress:
		
*/

#ifndef __USERSRCM__
#include "UseRsrcM.h"
#endif

#ifndef _REALSHPE_
#include "RealShpe.h"					/* For gGX */
#endif

#ifndef __GESTALT__
#include <Gestalt.h>
#endif

#ifndef __GXGRAPHICS__
#include <GXGraphics.h>
#endif


OSErr ImagingInit( );
extern "C" pascal OSErr ImagingCFMInit( CFragInitBlockPtr );


OSErr ImagingInit( )
{
	long result;							// Is QuickDraw GX installed?
	gGX = (Gestalt(gestaltGraphicsVersion,&result) == noErr)
			&& (void*)GXNewShape != (void*)kUnresolvedCFragSymbolAddress;
	return noErr;
}

pascal OSErr ImagingCFMInit (CFragInitBlockPtr initBlkPtr)
{
	(void) ImagingInit();
	return InitLibraryResources(initBlkPtr);
}
