/*
	File:		Bias.h

	Contains:	Definitions of private utility functions

	Owned by:	Joshua Susser

	Copyright:	 1994 by Apple Computer, Inc., all rights reserved.

	Change History (most recent first):
	
		 <2>	 9/29/94	JBS		1188214: more coord bias impl
		 <1>	 9/22/94	JBS		first checked in
*/

#ifndef _BIAS_
#define _BIAS_

#ifndef _ODTYPES_
#include "ODTypes.h"
#endif

//==============================================================================
// Classes used by this interface
//==============================================================================

class Environment;
class ODCanvas;
class ODShape;
class ODTransform;

//==============================================================================
// Functions
//==============================================================================

ODPoint
BiasPointGet(Environment *ev, ODPoint* point, ODCanvas* biasCanvas);

ODPoint
BiasPointSet(Environment *ev, ODPoint* point, ODCanvas* biasCanvas);

ODShape*
BiasShapeGet(Environment *ev, ODShape* shape, ODCanvas* biasCanvas);

ODShape*
BiasShapeSet(Environment *ev, ODShape* shape, ODCanvas* biasCanvas);

ODTransform*
BiasTransformGet(Environment *ev, ODTransform* transform, ODCanvas* biasCanvas);

ODTransform*
BiasTransformSet(Environment *ev, ODTransform* transform, ODCanvas* biasCanvas);

#endif // _BIAS_