/*
	File:		HshTbGlu.cpp

	Contains:	Glue for calling AEM's hash table functions from PowerPC

	Written by:	Eric House

	Copyright:	 1993-94 by Apple Computer, Inc., all rights reserved.

	Change History (most recent first):

		 <1>	 8/11/94	eeh		first checked in

	To Do:
*/

#ifndef _HSHTBTYP_
#include "HshTbTyp.h"
#endif

#ifndef __MIXEDMODE__
#include <MixedMode.h>
#endif

//------------------------------------------------------------------------------
// PowerPC glue for Hash Manager functions
//------------------------------------------------------------------------------

pascal OSErr AENewHashTable(long NumEntries, short KeySize,
		short ValueSize, MemProcBlock* MemHooks, Boolean SysHeap,
		HashTable* Table)
{
	return (OSErr)CallUniversalProc(*((UniversalProcPtr *)(0xe00 + (0x0016 * 4))),
							(kD0DispatchedPascalStackBased |
							DISPATCHED_STACK_ROUTINE_SELECTOR_SIZE(kTwoByteCode) |
							RESULT_SIZE(SIZE_CODE(sizeof(OSErr))) |					// <eeh> added
							DISPATCHED_STACK_ROUTINE_PARAMETER(1, kFourByteCode) |
							DISPATCHED_STACK_ROUTINE_PARAMETER(2, kTwoByteCode) |
							DISPATCHED_STACK_ROUTINE_PARAMETER(3, kTwoByteCode) |
							DISPATCHED_STACK_ROUTINE_PARAMETER(4, kFourByteCode) |
							DISPATCHED_STACK_ROUTINE_PARAMETER(5, kOneByteCode) |
							DISPATCHED_STACK_ROUTINE_PARAMETER(6, kFourByteCode)),
							0x092E, NumEntries, KeySize, ValueSize,
							MemHooks, SysHeap, Table);	
}

pascal OSErr AEDisposeHashTable( HashTable* Table, MemProcBlock* MemHooks)
{
	return (OSErr)CallUniversalProc(*((UniversalProcPtr *)(0xe00 + (0x0016 * 4))), 
							(kD0DispatchedPascalStackBased |
							DISPATCHED_STACK_ROUTINE_SELECTOR_SIZE(kTwoByteCode) |
							RESULT_SIZE(kTwoByteCode) |					// <eeh> added
							DISPATCHED_STACK_ROUTINE_PARAMETER(1, kFourByteCode) |
							DISPATCHED_STACK_ROUTINE_PARAMETER(2, kFourByteCode)),
							0x042F, Table, MemHooks);	
}

pascal OSErr AEAddKeyEntry(HHand Table, MemProcBlock* MemHooks, KeyPtr Key,
		HEntryPtr Value)
{
	return (OSErr)CallUniversalProc(*((UniversalProcPtr *)(0xe00 + (0x0016 * 4))), 
							(kD0DispatchedPascalStackBased |
							DISPATCHED_STACK_ROUTINE_SELECTOR_SIZE(kTwoByteCode) |
							RESULT_SIZE(SIZE_CODE(sizeof(OSErr))) |					// <eeh> added
							DISPATCHED_STACK_ROUTINE_PARAMETER(1, kFourByteCode) |
							DISPATCHED_STACK_ROUTINE_PARAMETER(2, kFourByteCode) |
							DISPATCHED_STACK_ROUTINE_PARAMETER(3, kFourByteCode) |
							DISPATCHED_STACK_ROUTINE_PARAMETER(4, kFourByteCode)),
							0x0830, Table, MemHooks, Key, Value);	
}


pascal OSErr AEReplaceEntry(HashTable Table,MemProcBlock* MemHooks, KeyPtr Key,
		HEntryPtr Value)
{
	return (OSErr)CallUniversalProc(*((UniversalProcPtr *)(0xe00 + (0x0016 * 4))), 
							(kD0DispatchedPascalStackBased |
							DISPATCHED_STACK_ROUTINE_SELECTOR_SIZE(kTwoByteCode) |
							RESULT_SIZE(SIZE_CODE(sizeof(OSErr))) |					// <eeh> added
							DISPATCHED_STACK_ROUTINE_PARAMETER(1, kFourByteCode) |
							DISPATCHED_STACK_ROUTINE_PARAMETER(2, kFourByteCode) |
							DISPATCHED_STACK_ROUTINE_PARAMETER(3, kFourByteCode) |
							DISPATCHED_STACK_ROUTINE_PARAMETER(4, kFourByteCode)),
							0x0831, Table, MemHooks, Key, Value);	
}

pascal OSErr AERemoveKeyEntry(HashTable Table, MemProcBlock* MemHooks, KeyPtr Key)
{
	return (OSErr)CallUniversalProc(*((UniversalProcPtr *)(0xe00 + (0x0016 * 4))), 
							(kD0DispatchedPascalStackBased |
							DISPATCHED_STACK_ROUTINE_SELECTOR_SIZE(kTwoByteCode) |
							RESULT_SIZE(SIZE_CODE(sizeof(OSErr))) |					// <eeh> added
							DISPATCHED_STACK_ROUTINE_PARAMETER(1, kFourByteCode) |
							DISPATCHED_STACK_ROUTINE_PARAMETER(2, kFourByteCode) |
							DISPATCHED_STACK_ROUTINE_PARAMETER(3, kFourByteCode)),
							0x0632, Table, MemHooks, Key );	
}

pascal OSErr AEGetKeyValue(HashTable Table, MemProcBlock* MemHooks, KeyPtr Key,
		HEntryPtr Value)
{
	return (OSErr)CallUniversalProc(*((UniversalProcPtr *)(0xe00 + (0x0016 * 4))), 
							(kD0DispatchedPascalStackBased |
							DISPATCHED_STACK_ROUTINE_SELECTOR_SIZE(kTwoByteCode) |
							RESULT_SIZE(SIZE_CODE(sizeof(OSErr))) |					// <eeh> added
							DISPATCHED_STACK_ROUTINE_PARAMETER(1, kFourByteCode) |
							DISPATCHED_STACK_ROUTINE_PARAMETER(2, kFourByteCode) |
							DISPATCHED_STACK_ROUTINE_PARAMETER(3, kFourByteCode) |
							DISPATCHED_STACK_ROUTINE_PARAMETER(4, kFourByteCode)),
							0x0833, Table, MemHooks, Key, Value ) ;	
}

pascal OSErr AEGetIndexedEntry( HashTable Table, MemProcBlock* MemHooks, long index,
		KeyPtr Key, HEntryPtr Value)
{
	return (OSErr)CallUniversalProc(*((UniversalProcPtr *)(0xe00 + (0x0016 * 4))), 
							(kD0DispatchedPascalStackBased |
							RESULT_SIZE(SIZE_CODE(sizeof(OSErr))) |					// <eeh> added
							DISPATCHED_STACK_ROUTINE_SELECTOR_SIZE(kTwoByteCode) |
							DISPATCHED_STACK_ROUTINE_PARAMETER(1, SIZE_CODE(sizeof(HashTable))) |
							DISPATCHED_STACK_ROUTINE_PARAMETER(2, SIZE_CODE(sizeof(MemProcBlock*))) |
							DISPATCHED_STACK_ROUTINE_PARAMETER(3, SIZE_CODE(sizeof(long))) |
							DISPATCHED_STACK_ROUTINE_PARAMETER(4, SIZE_CODE(sizeof(KeyPtr))) |
							DISPATCHED_STACK_ROUTINE_PARAMETER(5, SIZE_CODE(sizeof(HEntryPtr)))),
							0x0A34, Table, MemHooks, index, Key, Value ) ;
}

