/*
	File:		Bento.r

	Contains:	nmap resource for this container suite

	Owned by:	Vincent Lo

	Copyright:	 1993 - 1995 by Apple Computer, Inc., all rights reserved.

	Change History (most recent first):

		 <6>	  6/8/95	RR		#1257260 Collapse base classes. #1214898
									StdTypes.r -> ODTypes.r
		 <5>	 5/10/95	CG		#1243604	The constant kNameMappings renamed
									to kODNameMappings
		 <4>	 4/19/95	T		Changed last cfrg entry to "OpenDoc Bento"
									to make debug 68k build work.
		 <3>	 2/10/95	VL		1205627: Added ODBentoUpdateContainer.
		 <2>	12/25/94	T		1191189 Eliminate duplicate Def.h, Def.xh
									files
		 <1>	11/21/94	CG		first checked in
		 <7>	 2/11/94	CG		#1143030: Moved 'kNMAPIDxx' consts from
																		BentoDefs.h.
		 <6>	 1/21/94	CG		More changes to NMAP.
		 <5>	 1/18/94	CG		Changes to NMAP resource.
		 <4>	 12/6/93	CG		Added include for BentoDef.h
		 <3>	11/18/93	CG		Changed format and name of mapping resource
		 <2>	11/12/93	CG		Changed CMAP to contain a list of Types
									each containing a list of ClassIDs.
		 <1>	 9/21/93	CG		first checked in

	To Do:
*/

#define SystemSevenOrBetter 1			// we want the extended types
#define	SystemSevenOrLater	1			// Types.r uses this variable

#ifndef __SYSTYPES_R__
	#include "SysTypes.r"
#endif __SYSTYPES_R__

#ifndef __TYPES_R__
	#include "Types.r"
#endif __TYPES_R__

#ifndef __ODTYPES_R__
	#include "ODTypes.r"
#endif __ODTYPES_R__

#ifndef _BENTODEF_
	#include "BentoDef.h"
#endif _BENTODEF_

#include "CodeFragmentTypes.r"

//#ifndef _STORGDEF_
//	#include "StorgDef.h"
//#endif

//#define kODDefaultFileContainer		"Apple:ContainerType:File"
//#define kODDefaultMemoryContainer 	"Apple:ContainerType:Memory"

//-------------------------------------------------------------------------------------
// NMAP Resources
//-------------------------------------------------------------------------------------

resource kODNameMappings (kNMAPid1) {
	kODContainerSuite,
	{	/* array Types: 3 elements */
		/* [1] */
		kODBentoFileContainer,
		kODIsAnISOString {	
				kODFileContainerID
		},
		/* [2] */
		kODBentoMemoryContainer,
		kODIsAnISOString {	
				kODMemoryContainerID
		},
		/* [3] */
		kODBentoEmbeddedContainer,
		kODIsAnISOString {	
				kODEmbeddedContainerID
		},
		/* [4] */
		kODBentoUpdateContainer,
		kODIsAnISOString {	
				kODUpdateContainerID
		}
	}
};

//-------------------------------------------------------------------------------------
// cfrg Resource
//-------------------------------------------------------------------------------------

#ifdef PowerPC

resource 'cfrg' (0) {
	{	/* array memberArray: 5 elements */
		/* [1] */
		kPowerPC,
		kFullLib,
		kNoVersionNum,
		kNoVersionNum,
		kDefaultStackSize,
		kNoAppSubFolder,
		kIsLib,
		kOnDiskFlat,
		kZeroOffset,
		kWholeFork,
		kODFileContainerID,
		/* [2] */
		kPowerPC,
		kFullLib,
		kNoVersionNum,
		kNoVersionNum,
		kDefaultStackSize,
		kNoAppSubFolder,
		kIsLib,
		kOnDiskFlat,
		kZeroOffset,
		kWholeFork,
		kODMemoryContainerID,
		/* [3] */
		kPowerPC,
		kFullLib,
		kNoVersionNum,
		kNoVersionNum,
		kDefaultStackSize,
		kNoAppSubFolder,
		kIsLib,
		kOnDiskFlat,
		kZeroOffset,
		kWholeFork,
		kODEmbeddedContainerID,
		/* [4] */
		kPowerPC,
		kFullLib,
		kNoVersionNum,
		kNoVersionNum,
		kDefaultStackSize,
		kNoAppSubFolder,
		kIsLib,
		kOnDiskFlat,
		kZeroOffset,
		kWholeFork,
		kODUpdateContainerID,
		/* [5] */
		kPowerPC,
		kFullLib,
		kNoVersionNum,
		kNoVersionNum,
		kDefaultStackSize,
		kNoAppSubFolder,
		kIsLib,
		kOnDiskFlat,
		kZeroOffset,
		kWholeFork,
		"OpenDoc Bento"
	}
};

#else

resource 'cfrg' (0) {
	{	/* array memberArray: 5 elements */
		/* [1] */
		kMotorola,
		kFullLib,
		kNoVersionNum,
		kNoVersionNum,
		kDefaultStackSize,
		kNoAppSubFolder,
		kIsLib,
		kOnDiskFlat,
		kZeroOffset,
		kWholeFork,
		kODFileContainerID,
		/* [2] */
		kMotorola,
		kFullLib,
		kNoVersionNum,
		kNoVersionNum,
		kDefaultStackSize,
		kNoAppSubFolder,
		kIsLib,
		kOnDiskFlat,
		kZeroOffset,
		kWholeFork,
		kODMemoryContainerID,
		/* [3] */
		kMotorola,
		kFullLib,
		kNoVersionNum,
		kNoVersionNum,
		kDefaultStackSize,
		kNoAppSubFolder,
		kIsLib,
		kOnDiskFlat,
		kZeroOffset,
		kWholeFork,
		kODEmbeddedContainerID,
		/* [4] */
		kMotorola,
		kFullLib,
		kNoVersionNum,
		kNoVersionNum,
		kDefaultStackSize,
		kNoAppSubFolder,
		kIsLib,
		kOnDiskFlat,
		kZeroOffset,
		kWholeFork,
		kODUpdateContainerID,
		/* [5] */
		kMotorola,
		kFullLib,
		kNoVersionNum,
		kNoVersionNum,
		kDefaultStackSize,
		kNoAppSubFolder,
		kIsLib,
		kOnDiskFlat,
		kZeroOffset,
		kWholeFork,
		"OpenDoc Bento"
	}
};


#endif

