/*
	File:		SessHdr.h

	Contains:	Definition for session-related Bento Handlers.

	Owned by:	Vincent Lo

	Copyright:	 1993 - 1995 by Apple Computer, Inc., all rights reserved.

	Change History (most recent first):

		 <4>	10/24/95	jpa		1293441: DM: Bento memory reserve.
		 <3>	 6/20/94	CC		ODMemoryHeap* changed to ODMemoryHeapID.
		 <2>	 6/15/94	RR		ODHeap -> ODMemoryHeap
		 <1>	 5/27/94	VL		first checked in

	To Do:
	In Progress:
		
*/


#ifndef _SESSHDR_
#define _SESSHDR_

#ifndef __CM_API__
#include "CMAPI.h"
#endif

#ifndef _ODTYPES_
#include "ODTypes.h"
#endif

#ifndef _ODMEMORY_
#include "ODMemory.h"
#endif

//==============================================================================
// Classes used by this interface
//==============================================================================
class ODContainer;

//==============================================================================
// Scalar Types
//==============================================================================

typedef struct ODSessionRefCon ODSessionRefCon;
struct ODSessionRefCon {
	ODSessionRefCon() {}
	~ODSessionRefCon() {}
	ODContainer*	container;
	ODMemoryHeapID			heap;

	void*            cmAllocReserveBlock;
	CMSize           cmAllocReserveSize;
	
#ifdef ODDebugBentoSize
	ODULong          fMark;
	ODULong          fTotal;
	ODULong          fHighest;
	// ODULong          fLowest;
	ODULong          fHigh;
	ODULong          fLow;
	ODBoolean        fUp;
#endif

};

void ODSessionMustHaveCMAllocReserve(CMContainer cmContainer);
void ODSessionRestoreCMAllocReserve(CMContainer cmContainer);


//==============================================================================
// sessionRoutinesMetahandler
//==============================================================================

	CM_CFUNCTION
	
CMHandlerAddr CM_FIXEDARGS sessionRoutinesMetahandler(CMType targetType, CMconst_CMGlobalName operationType);

	// Metahandler proc for determining the addresses of the session handler operation routines.
	// Pass the address of this routine to a CMStartSession() call.

	CM_END_CFUNCTIONS


#endif	// _SESSHDR_
