/*
	File:		LinkItr.cpp

	Contains:	Implementation of class ODLinkIterator

	Owned by:	Craig Carper

	Copyright:	 1994, 1995 by Apple Computer, Inc., all rights reserved.

	Change History (most recent first):

		 <5>	  8/3/95	RR		#1257260: Collapse B classes. Remove
									somInit methods. Don't call IsInitialized
									or SubclassResponsibility
		 <4>	 5/26/95	VL		1251403: Multithreading naming support.
		 <3>	 5/18/95	CC		1249197: Renamed InitODLinkIterator to
									InitLinkIterator.
		 <2>	 4/11/95	CC		1236452: Added SOM_CATCH to
									InitODLinkIterator.
									Changed parent method calls from verbose to
									simple form (parent_method).
		 <1>	 8/11/94	CC		first checked in

	To Do:
*/

#define VARIABLE_MACROS

#define ODLinkIterator_Class_Source
#include <LinkItr.xih>

#ifndef SOM_ODObject_xh
#include <ODObject.xh>
#endif

#pragma segment ODLinkIterator

//==============================================================================
// ODLinkIterator
//==============================================================================

//------------------------------------------------------------------------------
// ODLinkIterator: somUninit
//------------------------------------------------------------------------------

SOM_Scope void  SOMLINK ODLinkIteratorsomUninit(ODLinkIterator *somSelf)
{
    /* ODLinkIteratorData *somThis = ODLinkIteratorGetData(somSelf); */
    ODLinkIteratorMethodDebug("ODLinkIterator","somUninit");

    parent_somUninit(somSelf);
}

//------------------------------------------------------------------------------
// ODLinkIterator: InitLinkIterator
//------------------------------------------------------------------------------

SOM_Scope void  SOMLINK ODLinkIteratorInitLinkIterator(ODLinkIterator *somSelf, Environment *ev)
{
    /* ODLinkIteratorData *somThis = ODLinkIteratorGetData(somSelf); */
    ODLinkIteratorMethodDebug("ODLinkIterator","InitLinkIterator");

	SOM_CATCH return;

	somSelf->InitObject(ev);
}

//------------------------------------------------------------------------------
// ODLinkIterator: IsNotComplete
//------------------------------------------------------------------------------

SOM_Scope ODBoolean  SOMLINK ODLinkIteratorIsNotComplete(ODLinkIterator *somSelf, Environment *ev)
{
    /* ODLinkIteratorData *somThis = ODLinkIteratorGetData(somSelf); */
    ODLinkIteratorMethodDebug("ODLinkIterator","IsNotComplete");

	WARN("A subclass should have overridden this method!");
	ODSetSOMException(ev,kODErrSubClassResponsibility, "SubClass Responsibility");
	
	return kODFalse;
}

//------------------------------------------------------------------------------
// ODLinkIterator: First
//------------------------------------------------------------------------------

SOM_Scope ODLink*  SOMLINK ODLinkIteratorFirst(ODLinkIterator *somSelf, Environment *ev)
{
    /* ODLinkIteratorData *somThis = ODLinkIteratorGetData(somSelf); */
    ODLinkIteratorMethodDebug("ODLinkIterator","First");

	WARN("A subclass should have overridden this method!");
	ODSetSOMException(ev,kODErrSubClassResponsibility, "SubClass Responsibility");
	
	return kODNULL;
}

//------------------------------------------------------------------------------
// ODLinkIterator: Next
//------------------------------------------------------------------------------

SOM_Scope ODLink*  SOMLINK ODLinkIteratorNext(ODLinkIterator *somSelf, Environment *ev)
{
    /* ODLinkIteratorData *somThis = ODLinkIteratorGetData(somSelf); */
    ODLinkIteratorMethodDebug("ODLinkIterator","Next");

	WARN("A subclass should have overridden this method!");
	ODSetSOMException(ev,kODErrSubClassResponsibility, "SubClass Responsibility");
	
	return kODNULL;
}
