/*
	File:		LkSrcItr.cpp

	Contains:	Implementation of class ODLinkSourceIterator

	Owned by:	Craig Carper

	Copyright:	 1994, 1995 by Apple Computer, Inc., all rights reserved.

	Change History (most recent first):

		 <5>	  8/3/95	RR		#1257260: Collapse B classes. Remove
									somInit methods. Don't call IsInitialized
									or SubclassResponsibility
		 <4>	 5/26/95	VL		1251403: Multithreading naming support.
		 <3>	 5/18/95	CC		1249197: Renamed InitODLinkSourceIterator
									to InitLinkSourceIterator.
		 <2>	 4/11/95	CC		1236452: Added SOM_CATCH to
									InitODLinkSourceIterator.
									Changed parent method calls from verbose to
									simple form (parent_method).
		 <1>	 8/11/94	CC		first checked in

	To Do:
*/

#define VARIABLE_MACROS

#define ODLinkSourceIterator_Class_Source
#include <LkSrcItr.xih>

#ifndef SOM_ODObject_xh
#include <ODObject.xh>
#endif

#pragma segment ODLinkSourceIterator

//==============================================================================
// ODLinkSourceIterator
//==============================================================================

//------------------------------------------------------------------------------
// ODLinkSourceIterator: somUninit
//------------------------------------------------------------------------------

SOM_Scope void  SOMLINK ODLinkSourceIteratorsomUninit(ODLinkSourceIterator *somSelf)
{
    /* ODLinkSourceIteratorData *somThis = ODLinkSourceIteratorGetData(somSelf); */
    ODLinkSourceIteratorMethodDebug("ODLinkSourceIterator","somUninit");

    parent_somUninit(somSelf);
}

//------------------------------------------------------------------------------
// ODLinkSourceIterator: InitLinkSourceIterator
//------------------------------------------------------------------------------

SOM_Scope void  SOMLINK ODLinkSourceIteratorInitLinkSourceIterator(ODLinkSourceIterator *somSelf, Environment *ev)
{
    /* ODLinkSourceIteratorData *somThis = ODLinkSourceIteratorGetData(somSelf); */
    ODLinkSourceIteratorMethodDebug("ODLinkSourceIterator","InitLinkSourceIterator");

	SOM_CATCH return;

	somSelf->InitObject(ev);
}

//------------------------------------------------------------------------------
// ODLinkSourceIterator: IsNotComplete
//------------------------------------------------------------------------------

SOM_Scope ODBoolean  SOMLINK ODLinkSourceIteratorIsNotComplete(ODLinkSourceIterator *somSelf, Environment *ev)
{
    /* ODLinkSourceIteratorData *somThis = ODLinkSourceIteratorGetData(somSelf); */
    ODLinkSourceIteratorMethodDebug("ODLinkSourceIterator","IsNotComplete");

	WARN("A subclass should have overridden this method!");
	ODSetSOMException(ev,kODErrSubClassResponsibility, "SubClass Responsibility");
	
	return kODFalse;
}

//------------------------------------------------------------------------------
// ODLinkSourceIterator: First
//------------------------------------------------------------------------------

SOM_Scope ODLinkSource*  SOMLINK ODLinkSourceIteratorFirst(ODLinkSourceIterator *somSelf, Environment *ev)
{
    /* ODLinkSourceIteratorData *somThis = ODLinkSourceIteratorGetData(somSelf); */
    ODLinkSourceIteratorMethodDebug("ODLinkSourceIterator","First");

	WARN("A subclass should have overridden this method!");
	ODSetSOMException(ev,kODErrSubClassResponsibility, "SubClass Responsibility");
	
	return kODNULL;
}

//------------------------------------------------------------------------------
// ODLinkSourceIterator: Next
//------------------------------------------------------------------------------

SOM_Scope ODLinkSource*  SOMLINK ODLinkSourceIteratorNext(ODLinkSourceIterator *somSelf, Environment *ev)
{
    /* ODLinkSourceIteratorData *somThis = ODLinkSourceIteratorGetData(somSelf); */
    ODLinkSourceIteratorMethodDebug("ODLinkSourceIterator","Next");

	WARN("A subclass should have overridden this method!");
	ODSetSOMException(ev,kODErrSubClassResponsibility, "SubClass Responsibility");
	
	return kODNULL;
}
