/*
	File:		TrnDlgDf.h

	Contains:	constants used in both the code & resource of TransDlg.r

	Owned by:	Vincent Lo

	Copyright:	 1993 - 1995 by Apple Computer, Inc., all rights reserved.

	Change History (most recent first):

		 <7>	  9/7/95	CG		#1229981 FB2:NoPart Alert when no
									translators are installed.
		 <6>	 8/24/95	CC		1279963: If no types are supported, editor
									item is static text.
		 <5>	 8/11/95	jpa		Number rsrcs from subsystem base [1276412]
		 <4>	 3/28/95	CC		1229640: Added alternate title for
									translate dialog.
		 <3>	 3/27/95	CC		1229640: Added kODTransEditorLabel and
									kODTransEditorText.
		 <2>	12/13/94	CG		#1187128: Dialog clean up.
		 <1>	11/17/94	CG		first checked in
	To Do:
*/

#ifndef _TRNDLGDF_
#define _TRNDLGDF_

#ifndef _RSRCBASE_
#include "RsrcBase.h"
#endif

#define kODTransDlgID  	      	(kODStorageRsrcBase + 40)
#define kODPartTransDlgID  	    (kODStorageRsrcBase + 41)
#define	kODTransKindCntl		(kODStorageRsrcBase + 42)
#define	kODTransKindMenu		(kODStorageRsrcBase + 43)
#define	kODTransEditorCntl		(kODStorageRsrcBase + 44)
#define	kODTransEditorMenu		(kODStorageRsrcBase + 45)
#define	kODNoTransAlert			(kODStorageRsrcBase + 46)

#define	kODTransOKBtn					1
#define	kODTransCancelBtn				2
#define	kODTransTitle					3
#define	kODTransKindPopup				4
#define	kODTransEditorPopup				5
#define	kODTransEditorLabel				6
#define	kODTransEditorText				7
#define	kODTransNoEditorText			8
#define kODTransDefaultButtonOutline	9

#define kODTransRBtnHeight		20
#define kODTransDialogTop		40
#define kODTransDialogLeft		40
#define kODTransDialogBottom	kODTransDialogTop+121
#define kODTransDialogRight		kODTransDialogLeft+248
#define kODTransDialogHeight	kODTransDialogBottom - kODTransDialogTop
#define kODTransDialogWidth		kODTransDialogRight - kODTransDialogLeft
#define kODTransStaticTxtHeight	18

#define kItemOnEdgeWhtSp		10

#endif /* _TRNDLGDF_ */
