/*
	File:		FocusOwn.cpp

	Contains:	Implementation of ODFocusOwnerIterator

	Owned by:	Richard Rodseth

	Copyright:	 1994 - 1995 by Apple Computer, Inc., all rights reserved.

	Change History (most recent first):

		 <5>	 8/15/95	RR		#1276680 Removed redundant fields, and
									uninit overrides.
		 <4>	  8/3/95	RR		#1257260: Collapse B classes. Remove
									somInit methods. Don't call IsInitialized
									or SubclassResponsibility
		 <3>	 5/26/95	RR		#1251403: Multithreading naming support
		 <2>	  4/7/95	RR		#1216618 Added SOM_TRY etc.
		 <1>	 9/26/94	RR		first checked in

	To Do:
*/


/*
 *  This file was generated by the SOM Compiler.
 *  Generated using: 
 *      SOM Emitter emitxtm.dll: somc/smmain.c
 */

#define ODFocusOwnerIterator_Class_Source
#define VARIABLE_MACROS
#include <FocusOwn.xih>

#ifndef SOM_Module_OpenDoc_Foci_defined
#include "Foci.xh"
#endif

SOM_Scope void  SOMLINK ODFocusOwnerIteratorInitFocusOwnerIterator(ODFocusOwnerIterator *somSelf, Environment *ev,
		ODTypeToken focus,
		ODFocusModule* focusModule)
{
    //ODFocusOwnerIteratorData *somThis = ODFocusOwnerIteratorGetData(somSelf);
    ODFocusOwnerIteratorMethodDebug("ODFocusOwnerIterator","ODFocusOwnerIteratorInitFocusOwnerIterator");

    SOM_TRY
			
		somSelf->InitObject(ev);
		
	SOM_CATCH_ALL
	SOM_ENDTRY
}

SOM_Scope ODFrame*  SOMLINK ODFocusOwnerIteratorFirst(ODFocusOwnerIterator *somSelf, Environment *ev)
{
    //ODFocusOwnerIteratorData *somThis = ODFocusOwnerIteratorGetData(somSelf);
    ODFocusOwnerIteratorMethodDebug("ODFocusOwnerIterator","ODFocusOwnerIteratorFirst");

	WARN("A subclass should have overridden this method!");
	ODSetSOMException(ev,kODErrSubClassResponsibility, "SubClass Responsibility");
	return kODNULL;
}

SOM_Scope ODFrame*  SOMLINK ODFocusOwnerIteratorNext(ODFocusOwnerIterator *somSelf, Environment *ev)
{
    //ODFocusOwnerIteratorData *somThis = ODFocusOwnerIteratorGetData(somSelf);
    ODFocusOwnerIteratorMethodDebug("ODFocusOwnerIterator","ODFocusOwnerIteratorNext");

	WARN("A subclass should have overridden this method!");
	ODSetSOMException(ev,kODErrSubClassResponsibility, "SubClass Responsibility");
	return kODNULL;
}

SOM_Scope ODBoolean  SOMLINK ODFocusOwnerIteratorIsNotComplete(ODFocusOwnerIterator *somSelf, Environment *ev)
{
    //ODFocusOwnerIteratorData *somThis = ODFocusOwnerIteratorGetData(somSelf);
    ODFocusOwnerIteratorMethodDebug("ODFocusOwnerIterator","ODFocusOwnerIteratorIsNotComplete");

	WARN("A subclass should have overridden this method!");
	ODSetSOMException(ev,kODErrSubClassResponsibility, "SubClass Responsibility");
	return kODFalse;
}
