/*
	File:		UtilCmmn.r

	Contains:
	
		Definitions of resources used by OpenDoc utilities that are not shared in the
		now-obsolete multiple-library build. This file is automatically included by
		Util.r, so part developers should not need to worry about it.

	At least one utility, PlatformFiles UniquifyName method, takes a resource ID.  The resource is
	required to live in the client library, yet all instances of that resource should be identical
	if the same behaviour is to be had regardless of caller.  Such resources live here, and are
	included by individual libraries' .r files.  In the single library case, the last one written
	to the resource fork overwrites the others, but that's ok since they're all identical.

	Owned by:	Eric House

	Copyright:	 1993 - 1995 by Apple Computer, Inc., all rights reserved.

	
	In Progress:
		
*/

#ifndef _UTILDEFS_
#include "UtilDefs.h"
#endif

resource 'STR ' (kCopyDefaultNameNoNumStrID, purgeable) {
	"^0 copy"
};

resource 'STR ' (kCopyDefaultNameWithNumStrID, purgeable) {
	"^0 copy ^1"
};

resource 'STR ' (kConcatDefaultNameNoNumStrID, purgeable) {
	"^0"
};
